package ru.ibs.framework.utils;

import io.qameta.allure.Attachment;
import org.junit.rules.TestWatcher;
import org.junit.runner.Description;
import org.openqa.selenium.OutputType;
import org.openqa.selenium.TakesScreenshot;
import ru.ibs.framework.managers.DriverManager;

public class MyAllureListener extends TestWatcher {

    @Override
    protected void failed(Throwable e, Description description) {
        takeScreenshot();
    }

    @Attachment(value = "Screenshot on failure", type = "image/png")
    public byte[] takeScreenshot() {
        return ((TakesScreenshot) DriverManager.getDriverManager().getDriver())
                .getScreenshotAs(OutputType.BYTES);
    }
}
